igeo

## Class IOrient

- java.lang.Object
- - igeo.IOrient

-     class IOrient
      extends java.lang.Object

  Class of XYZ orientation (not including origin, so not plane or coordinates system
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) IVec` | `dir`
    `(package private) IVec` | `nml`
    `(package private) boolean` | `righthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOrient(IOrient o)`
    `IOrient(IVec d, IVec n)`
    `IOrient(IVec d, IVec n, boolean righthandsys)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) IOrient` | `add(IOrient o)`
    `(package private) IOrient` | `add(IOrient o, double f)`
    `(package private) IVec` | `back()`
    `(package private) IOrient` | `cp()`
    `(package private) IVec` | `dir()`
    `(package private) IOrient` | `div(double v)`
    `(package private) IVec` | `down()`
    `(package private) IOrient` | `flip()`
    `(package private) IOrient` | `flipNml()`
    `(package private) IOrient` | `flipSide()`
    `(package private) IVec` | `front()`
    `(package private) IVec` | `left()`
    `(package private) IOrient` | `mid(IOrient o)`
    `(package private) IOrient` | `mul(double v)`
    `(package private) IVec` | `nml()`
    `(package private) IOrient` | `pitch(double ang)`
    `(package private) IOrient` | `ref(IVec refNml)`
    `(package private) IVec` | `right()`
    `(package private) IOrient` | `roll(double ang)`
    `(package private) IOrient` | `rot(double ang)`
    `(package private) IOrient` | `rot(IVec ax, double ang)`
    `(package private) IVec` | `side()`
    `(package private) IOrient` | `sum(IOrient o, double f)`
    `(package private) IVec` | `up()`
    `(package private) IOrient` | `yaw(double ang)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dir

          IVec dir

    - #### nml

          IVec nml

    - #### righthand

          boolean righthand

  - ### Constructor Detail

    - #### IOrient

          IOrient(IVec d,
                  IVec n,
                  boolean righthandsys)

    - #### IOrient

          IOrient(IVec d,
                  IVec n)

    - #### IOrient

          IOrient(IOrient o)

  - ### Method Detail

    - #### cp

          IOrient cp()

    - #### dir

          IVec dir()

    - #### front

          IVec front()

    - #### back

          IVec back()

    - #### nml

          IVec nml()

    - #### up

          IVec up()

    - #### down

          IVec down()

    - #### side

          IVec side()

    - #### right

          IVec right()

    - #### left

          IVec left()

    - #### rot

          IOrient rot(double ang)

    - #### rot

          IOrient rot(IVec ax,
                      double ang)

    - #### pitch

          IOrient pitch(double ang)

    - #### yaw

          IOrient yaw(double ang)

    - #### roll

          IOrient roll(double ang)

    - #### ref

          IOrient ref(IVec refNml)

    - #### flip

          IOrient flip()

    - #### flipNml

          IOrient flipNml()

    - #### flipSide

          IOrient flipSide()

    - #### mul

          IOrient mul(double v)

    - #### div

          IOrient div(double v)

    - #### add

          IOrient add(IOrient o)

    - #### add

          IOrient add(IOrient o,
                      double f)

    - #### sum

          IOrient sum(IOrient o,
                      double f)

    - #### mid

          IOrient mid(IOrient o)